
/*******************************************************************************
*
* File ftensor.h
*
* Copyright (C) 2015 Martin Luescher
*
* This software is distributed under the terms of the GNU General Public
* License (GPL)
*
*******************************************************************************/

#ifndef FTENSOR_H
#define FTENSOR_H

#ifndef SU3_H
#include "su3.h"
#endif

typedef struct
{
   int nft[2];
   int *ift[2];
} ftidx_t;

/* ECLOV_C */
extern void Eclov(int n,su3_dble *ud,complex_dble *E_sp,complex_dble *E_tm);
extern void Sclov(int n,su3_dble *ud,complex_dble *S);

/* FTCOM_C */
extern void copy_bnd_ft(int pln,int n,su3_dble *ft);
extern void add_bnd_ft(int pln,int n,su3_dble *ft);

/* FTENSOR_C */
extern su3_dble **ftensor(int n,su3_dble *ud);

/* FTIDX_C */
extern ftidx_t *ftidx(void);
extern void plaq_ftidx(int n,int ix,int *ip);

#endif
