
/*******************************************************************************
*
* File ispt.h
*
* Copyright (C) 2015 Martin Luescher
*
* This software is distributed under the terms of the GNU General Public
* License (GPL)
*
*******************************************************************************/

#ifndef ISPT_H
#define ISPT_H

#ifndef TREES_H
#include "trees.h"
#endif

typedef struct
{
   int nflds[(int)(LTYPES)];
   void **flds[(int)(LTYPES)];
} rflds_t;

/* ISPT_C */
extern void init_ispt(int *nw);
extern void stop_ispt(void);
extern void ispt(int icl,void *fld);

/* RFLDS_C */
extern void reserve_rflds(void);
extern void release_rflds(void);
extern void generate_rflds(void *fld0);
extern rflds_t *rflds(void);

/* VALRT_C */
extern void valrt(rtree_t *rt,void *vrt);
extern void valrt_wspace(rtree_t *rt,int *nw);

#endif
