
/*******************************************************************************
*
* File check3.c
*
* Copyright (C) 2015 Martin Luescher
*
* This software is distributed under the terms of the GNU General Public
* License (GPL)
*
* Check of the wait() function.
*
*******************************************************************************/

#define MAIN_PROGRAM

#include <stdlib.h>
#include <stdio.h>
#include <time.h>


static void wait(int s)
{
   time_t t0,t1;
   double dt;

   t0=time(NULL);

   if (t0==(time_t)(-1))
      return;

   dt=0.0;

   while (s>(int)(dt))
   {
      t1=time(NULL);
      dt=difftime(t1,t0);
   }
}


int main(void)
{
   int s;

   printf("\n");
   printf("Check of the wait() function\n");
   printf("----------------------------\n\n");

   while (1)
   {
      printf("Wait for how many seconds? ");
      (void)(scanf("%d",&s));
      wait(s);
   }

   exit(0);
}
