
/*******************************************************************************
*
* File tupel.h
*
* Copyright (C) 2015 Martin Luescher
*
* This software is distributed under the terms of the GNU General Public
* License (GPL)
*
*******************************************************************************/

#ifndef TUPEL_H
#define TUPEL_H

typedef struct
{
   int n;
   int *i;
} tupel_t;

typedef struct
{
   int n,nmax;
   tupel_t **tpa;
} tplist_t;

/* TPLIST_C */
extern tplist_t *alloc_tplist(int nmax);
extern void sort_tplist(tplist_t *tpl);
extern int add_tp(tupel_t *tp,tplist_t *tpl);
extern int fnd_tp(tupel_t *tp,tplist_t *tpl);

/* TUPEL_C */
extern tupel_t *alloc_tp(int n);
extern void free_tp(tupel_t *tp);
extern int cmp_tp(tupel_t *tp1,tupel_t *tp2);

#endif
